<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Assign_GeoFence_V2 StructType
 * @subpackage Structs
 */
class Assign_GeoFence_V2 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The GeoFenceSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\AssignGeoFenceSelection
     */
    public $GeoFenceSelection;
    /**
     * Constructor method for Assign_GeoFence_V2
     * @uses Assign_GeoFence_V2::setLogin()
     * @uses Assign_GeoFence_V2::setGeoFenceSelection()
     * @param \StructType\Login $login
     * @param \StructType\AssignGeoFenceSelection $geoFenceSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\AssignGeoFenceSelection $geoFenceSelection = null)
    {
        $this
            ->setLogin($login)
            ->setGeoFenceSelection($geoFenceSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Assign_GeoFence_V2
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get GeoFenceSelection value
     * @return \StructType\AssignGeoFenceSelection|null
     */
    public function getGeoFenceSelection()
    {
        return $this->GeoFenceSelection;
    }
    /**
     * Set GeoFenceSelection value
     * @param \StructType\AssignGeoFenceSelection $geoFenceSelection
     * @return \StructType\Assign_GeoFence_V2
     */
    public function setGeoFenceSelection(\StructType\AssignGeoFenceSelection $geoFenceSelection = null)
    {
        $this->GeoFenceSelection = $geoFenceSelection;
        return $this;
    }
}
